# Passport OCR

## Submit Document

## ind\_passport\_ocr

`POST` `https://secctrl.tutelar.io/api/v1/kyc/vision/ind_passport_ocr`

### Post parameters description is given below,

| Post Parameter | Type   | Is Mandatory | Description |
| -------------- | ------ | ------------ | ----------- |
| front\_side    | String | Yes          | Image Url   |
| back\_side     | String | No           | Image Url   |

### Sample Post Parameters

```json
{
  "front_side": "Base64 or Url",
  "back_side": "Base64 or Url"
}
```

### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "5f111f9e-90a5-40dd-917e-6c12c9c104ed",
  "status": "completed",
  "result": {
    "passport_number": "J0069854",
    "name_on_document": "Sita Maha Lakshmi",
    "first_name": "Sita Maha Lakshmi",
    "last_name": "Ramadugula",
    "nationality": "INDIAN",
    "gender": "F",
    "date_of_birth": "1959-09-23",
    "place_of_birth": "GUNDUGOLANU",
    "place_of_issue": "HYDERABAD",
    "date_of_expiry": "2021-10-10",
    "date_of_issue": "2011-10-11"
  },
  "requested_at": "2024-04-22T06:35:22.176Z",
  "completed_at": "2024-04-22T06:35:25.333Z"
}
```

### 200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
  "status": "in_progress",
  "requested_at": "2024-04-22T06:15:03.375Z"
}
```

### 400: Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Upload the front image of Aadhar card",
    "field": "front_side",
    "code": "BAD_REQUEST"
  }
}
```

### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "766c5b02-9720-4674-bacc-03038afd5f04",
  "status": "failed",
  "error": {
    "message": "Passport Not Found.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-22T06:34:31.638Z",
  "completed_at": "2024-04-22T06:34:32.310Z"
}
```

## Check Document Status

## Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/vision/ind_passport_ocr`

### Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "5f111f9e-90a5-40dd-917e-6c12c9c104ed",
  "status": "completed",
  "result": {
    "passport_number": "J0069854",
    "name_on_document": "Sita Maha Lakshmi",
    "first_name": "Sita Maha Lakshmi",
    "last_name": "Ramadugula",
    "nationality": "INDIAN",
    "gender": "F",
    "date_of_birth": "1959-09-23",
    "place_of_birth": "GUNDUGOLANU",
    "place_of_issue": "HYDERABAD",
    "date_of_expiry": "2021-10-10",
    "date_of_issue": "2011-10-11"
  },
  "requested_at": "2024-04-22T06:35:22.176Z",
  "completed_at": "2024-04-22T06:35:25.333Z"
}
```

### 200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
  "status": "in_progress",
  "requested_at": "2024-04-22T06:15:03.375Z"
}
```

### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "766c5b02-9720-4674-bacc-03038afd5f04",
  "status": "failed",
  "error": {
    "message": "Passport Not Found.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-22T06:34:31.638Z",
  "completed_at": "2024-04-22T06:34:32.310Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/passport-ocr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
